"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPeerconnections = void 0;
const peerconnection_1 = require("../../database/repositories/peerconnection");
/**
 * This function implements the functionality for handling GET requests on /peerconnections endpoint.
 * @param _user The user submitting the request.
 */
const getPeerconnections = async (_user) => {
    console.log(`getPeerconnections called`);
    const peerconnectionModels = await peerconnection_1.peerconnectionRepository.find();
    console.log(`getPeerconnections succeeded`);
    return {
        status: 200,
        body: peerconnectionModels.map(peerconnection_1.peerconnectionRepository.formatOverview),
    };
};
exports.getPeerconnections = getPeerconnections;
//# sourceMappingURL=get.js.map