"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppDataSource = void 0;
const device_1 = require("./repositories/device");
const peerconnection_1 = require("./repositories/peerconnection");
const service_common_1 = require("@crosslab/service-common");
class ApplicationDataSource extends service_common_1.AbstractApplicationDataSource {
    initializeRepositories() {
        device_1.deviceRepository.initialize(this);
        peerconnection_1.peerconnectionRepository.initialize(this);
    }
}
exports.AppDataSource = new ApplicationDataSource();
//# sourceMappingURL=dataSource.js.map